Skip to main content
POST
Verify if an API key is valid for a specific environment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Response

API key verification result

environmentId
string<uuid>
required

The environment ID for which the API key was verified

verified
boolean
required

Indicates whether the API key is valid and has access to the environment

scopes
enum<string>[]

Scopes granted to the verified API token

Valid scopes for an environment API token

Available options:
all.read,
waas.delegatedAccess.signMessage,
waas.authenticate,
environment.settings.read,
environment.settings.write,
environment.apiTokens.read,
environment.apiTokens.write,
environment.users.read,
environment.users.write,
environment.analytics.read,
environment.webhooks.read,
environment.webhooks.write,
environment.events.read,
environment.events.write,
environment.balances.read,
gasless.read,
gasless.write,
flow.write,
waas.policies.write
Last modified on July 24, 2026